/*=============================================================================
_DMA0Init(): Initialise DMA0 for DCI Data Transmission 
=============================================================================*/
// DMA0 configuration
// Direction	: Read from DMA RAM and write to peripheral address 0x298 (TXBUF0 register)
// AMODE	: Register Indirect with Post-Increment mode
// MODE		: Continuous, Ping-Pong modes disabled
// IRQ		: DCI
//
void dma0Init(void)
{

	DMA0CON = 0x2000;	//0010000000000000			
	DMA0CNT = FIFO_SIZE;	//How many data elements are moved out					
	DMA0REQ = 0x003C;	//IRQ no.60 --> DCI				

	DMA0PAD = (volatile unsigned int) &TXBUF0;
	DMA0STA= __builtin_dmaoffset(FIFO); 	//Start address 0x7800
	
	
	
	IFS0bits.DMA0IF  = 0;			// Clear DMA interrupt
	IEC0bits.DMA0IE  = 1;			// Enable DMA interrupt ||delay until FIFO is half full?
	DMA0CONbits.CHEN = 1;			// Enable DMA Channel	||delay until FIFO is half full?
}

/*=============================================================================
_DMA0Interrupt(): DCI Transmit Interrupt Handler
=============================================================================*/
void __attribute__((interrupt, no_auto_psv)) _DMA0Interrupt(void)
{
	//Interrupt called every time DCI reaches the end of the buffer
        IFS0bits.DMA0IF = 0;		//Clear the DMA0 Interrupt Flag
}//DMA0Interrupt

//------------------------------------------------------------------------------






